- @can_bulk_update = can?(current_user, :admin_merge_request, @project)
- merge_project = merge_request_source_project_for_project(@project)
- new_merge_request_path = project_new_merge_request_path(merge_project) if merge_project
- issuable_type = 'merge_request'

- page_title _("Merge requests")
- new_merge_request_email = @project.new_issuable_address(current_user, 'merge_request')
- add_page_specific_style 'page_bundles/issuable_list'
- add_page_specific_style 'page_bundles/merge_request'
- add_page_specific_style 'page_bundles/notes'

= content_for :meta_tags do
  = auto_discovery_link_tag(:atom, safe_params.merge(rss_url_options).to_h, title: "#{@project.name} merge requests")

= render 'projects/last_push'

- if @project.merge_requests.exists?
  .top-area
    = render 'shared/issuable/nav', type: :merge_requests
    .nav-controls
      = render "projects/merge_requests/nav_btns", merge_project: merge_project, new_merge_request_path: new_merge_request_path

  = render 'shared/issuable/search_bar', type: :merge_requests

  - if @can_bulk_update
    = render 'shared/issuable/bulk_update_sidebar', type: :merge_requests

  .merge-requests-holder
    = render 'merge_requests', new_merge_request_path: new_merge_request_path
    - if new_merge_request_email
      .gl-text-center.gl-pt-5.gl-pb-7
        .js-issuable-by-email{ data: { initial_email: new_merge_request_email, issuable_type: issuable_type, emails_help_page_path: help_page_path('development/emails', anchor: 'email-namespace'), quick_actions_help_path: help_page_path('user/project/quick_actions'), markdown_help_path: help_page_path('user/markdown'), reset_path: new_issuable_address_project_path(@project, issuable_type: issuable_type) } }
- else
  = render 'shared/empty_states/merge_requests', button_path: new_merge_request_path
